View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000324Ecere SDKidepublic2010-02-24 22:462013-08-07 03:33
Reporterthexa4 
Assigned Toredj 
PriorityimmediateSeverityminorReproducibilityN/A
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version0.44.08Fixed in Version0.44.08 
Summary0000324: & in project name
Description& in project name (validate only a-z, A-Z, 0-9, spaces if they work)
TagsNo tags attached.
Attached Files

- Relationships
related to 0000156closedjerome Look for a solution to spaces in project dir / name, or don't let the user create it (CRASHES now!) 

-  Notes
(0000224)
jerome (administrator)
2010-07-26 01:36

Hmm okay, how did a & end up in a project name?
I'm assuming this issue is about validating the user input in project creation fields.
(0000871)
redj (administrator)
2013-05-31 02:33
edited on: 2013-05-31 03:03

fixed by https://github.com/redj/ecere-sdk/commit/d0af63e34844a2b2aad3f4e4b61be7a33da85197 [^]

the following chars are no longer accepted as part of a project name
*|:\",<>?\\/&. and space

'&', '.' and ' ' can be supported under linux but windows is a pain
see note in code:
// todo: support '&', '.' and ' ' in project name on windows so that it may be used by all platforms.


- Issue History
Date Modified Username Field Change
2010-02-24 22:46 thexa4 New Issue
2010-07-25 20:30 redj Relationship added child of 0000430
2010-07-25 20:30 redj Relationship deleted child of 0000430
2010-07-25 20:30 redj Relationship added child of 0000429
2010-07-26 01:36 jerome Note Added: 0000224
2010-07-26 03:21 jerome Relationship added related to 0000156
2010-07-26 19:10 thexa4 Target Version => 0.44 draft 2
2010-07-29 15:06 jerome Priority normal => immediate
2012-03-08 15:41 redj Target Version old 0.44.pre2 => 0.45 Ginkakuji
2012-03-08 17:17 redj Relationship deleted child of 0000429
2012-03-29 07:52 redj Category => ide
2012-03-29 07:52 redj Project @3@ => Ecere SDK
2013-04-24 06:33 jerome Target Version 0.45 Ginkakuji => 0.44.1 64
2013-04-24 06:33 jerome Description Updated
2013-05-07 03:08 redj Status new => assigned
2013-05-07 03:08 redj Assigned To => redj
2013-05-31 02:33 redj Status assigned => resolved
2013-05-31 02:33 redj Fixed in Version => 0.44.1 64
2013-05-31 02:33 redj Resolution open => fixed
2013-05-31 02:33 redj Note Added: 0000871
2013-05-31 03:03 redj Note Edited: 0000871
2013-06-11 01:04 jerome Status resolved => closed
2013-08-07 03:33 jerome Fixed in Version 0.44.10 64 => 0.44.08
2013-08-07 03:33 jerome Target Version 0.44.10 64 => 0.44.08



Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker